Bug 830278 - Review Request: clojure-maven-plugin - Clojure plugin for Maven
Review Request: clojure-maven-plugin - Clojure plugin for Maven
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On: 816962
Blocks: 830714 830287
  Show dependency treegraph
 
Reported: 2012-06-08 13:55 EDT by Michel Alexandre Salim
Modified: 2012-07-12 15:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 15:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2012-06-08 13:55:49 EDT
Spec URL: http://salimma.fedorapeople.org/specs/clojure/clojure-maven-plugin.spec
SRPM URL: http://salimma.fedorapeople.org/specs/clojure/clojure-maven-plugin-1.3.10-1.fc17.src.rpm
Description:
This plugin has been designed to make working with clojure as easy as
possible, when working in a mixed language, enterprise project.

Fedora Account System Username: salimma
Comment 1 Peter Lemenkov 2012-06-19 07:36:29 EDT
I'll review it.
Comment 2 Peter Lemenkov 2012-06-19 08:02:37 EDT
Koji scratchbuild for Rawhide:

* http://koji.fedoraproject.org/koji/taskinfo?taskID=4176548

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

work ~/Desktop: rpmlint clojure-maven-plugin-1.3.10-1.fc18.*
clojure-maven-plugin.src: W: invalid-url Source0: talios-clojure-maven-plugin-clojure-maven-plugin-1.3.10-0-g48bc0ce.tar.gz

^^^ we should blame github for that (or simply ignore messages like these).

2 packages and 0 specfiles checked; 0 errors, 1 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines ( http://fedoraproject.org/wiki/Packaging:Java ).
+ Jar file is named properly.
+ jar file is installed into %{_javadir}.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (Eclipse Public License v.1.0).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.

- The sources used to build the package, MUST match the upstream source, as provided in the spec URL.


ulaco ~/rpmbuild/SOURCES: sha256sum talios-clojure-maven-plugin-*
e109443760f253a9ca1eb6d01d0a26fc0f4979466da3c3078fa422a7ed0b25b0  talios-clojure-maven-plugin-1.3.10-0-g403e461.tar.gz
780aec6bcd6d2cd0eb433546bedd22e72055a8a5834a6a617d70d3256d4c979f  talios-clojure-maven-plugin-clojure-maven-plugin-1.3.10-0-g48bc0ce.tar.gz
sulaco ~/rpmbuild/SOURCES:

Please provide file which can be retrieved using a way provided in the spec's comments.

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
0 No *-javadoc files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

Please, provide a properly downloaded Source0 file and I'll finish reviewing this.
Comment 3 Michel Alexandre Salim 2012-06-19 10:52:04 EDT
Hi Peter,

I'm not sure what happened to the source you downloaded -- I just retried:

wget --content-disposition https://github.com/talios/clojure-maven-plugin/tarball/clojure-maven-plugin-1.3.10

and get this checksum:
✗ sha256sum talios-clojure-maven-plugin-clojure-maven-plugin-1.3.10-0-g48bc0ce.tar.gz
780aec6bcd6d2cd0eb433546bedd22e72055a8a5834a6a617d70d3256d4c979f  talios-clojure-maven-plugin-clojure-maven-plugin-1.3.10-0-g48bc0ce.tar.gz

just as the one in the source RPM I posted. Could you try again? Could be a Github glitch, I don't know.
Comment 4 Peter Lemenkov 2012-06-21 00:52:16 EDT
(In reply to comment #3)
> Hi Peter,
> 
> I'm not sure what happened to the source you downloaded -- I just retried:
> 
> wget --content-disposition
> https://github.com/talios/clojure-maven-plugin/tarball/clojure-maven-plugin-
> 1.3.10
> 
> and get this checksum:
> ✗ sha256sum
> talios-clojure-maven-plugin-clojure-maven-plugin-1.3.10-0-g48bc0ce.tar.gz
> 780aec6bcd6d2cd0eb433546bedd22e72055a8a5834a6a617d70d3256d4c979f 
> talios-clojure-maven-plugin-clojure-maven-plugin-1.3.10-0-g48bc0ce.tar.gz
> 
> just as the one in the source RPM I posted. Could you try again? Could be a
> Github glitch, I don't know.

Yep, I tried again and now I've got the same checksum. Perhaps either me did something wrong or GitHub delivered me something different.

I don't see any other issues so this package is


APPROVED.
Comment 5 Michel Alexandre Salim 2012-06-25 03:25:39 EDT
Thanks! GitHub does weird things with tarballs -- I still don't get why sometimes the checksum in the directory name matches that of the commit checksum and sometimes it doesn't.

New Package SCM Request
=======================
Package Name: clojure-maven-plugin
Short Description: Clojure plugin for Maven
Owners: salimma
Branches: f16 f17
InitialCC:
Comment 6 Jon Ciesla 2012-06-26 11:02:13 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-06-27 08:24:41 EDT
clojure-maven-plugin-1.3.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clojure-maven-plugin-1.3.10-1.fc17
Comment 8 Fedora Update System 2012-06-27 23:24:50 EDT
clojure-maven-plugin-1.3.10-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-07-12 15:00:00 EDT
clojure-maven-plugin-1.3.10-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.